Page MenuHomePhabricator

Request to be added to the ldap/wmde group
Closed, ResolvedPublic

Description

I’m employed at WMDE as a developer and would like to be added to the ldap/wmde group.
My Wikitech username is awight, and my shell username is awight.

I need to

  • sign NDA with WMF legal for LDAP access - I have two of these on file, happy to fill out another if it's needed.
  • get added to ldap/wmde

Event Timeline

awight created this task.May 5 2019, 1:48 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 5 2019, 1:48 PM

As the Engineering Manager at WMDE responsible for Adam's team, I endorse this request.

Dzahn added a subscriber: Dzahn.May 6 2019, 10:06 PM

Hi @RStallman-legalteam Do we still have an NDA on file for Adam Wight or does it need a new one now that he is WMDE employee?

Thanks, I am running this by our contracts attorney. I think we'll just do a quick amendment to the existing NDA to reflect the new access. I'll be in touch with @awight to sign it.

Dzahn triaged this task as Normal priority.May 6 2019, 10:19 PM
jbond added a subscriber: jbond.May 7 2019, 11:12 AM

Adam has signed an amendment to reflect the WMDE-LDAP access level. So this is all set.

Dzahn claimed this task.May 7 2019, 5:46 PM

Mentioned in SAL (#wikimedia-operations) [2019-05-07T18:38:21Z] <mutante> LDAP - adding awight to 'wmde' group (T222538)

Dzahn added a comment.May 7 2019, 6:40 PM

Thanks @RStallman-legalteam

@awight Done! You have been added.

I did not have to add you to the puppet module because you are already an existing "researcher" wmf shell user.

Dzahn closed this task as Resolved.May 7 2019, 6:40 PM
Dzahn updated the task description. (Show Details)